[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Virtual_output` Component

Detector-like component that writes neutron state parameters into a 'virtual source' neutron file.

## Identification

- Author: E. Farhi
- Origin: ILL
- Date: Dec 17th, 2002
- Version: 1.5
- Modification history:
  - E. Farhi, Dec 17th, 2002: based on Vitess_output and Monitor_nD lib.

## Description

    Detector-like component writing neutron state parameters to a
    virtual source neutron file. The component geometry is the full
    plane, and saves the neutron state as it exits from the previous
    component.

      It is particularly useful to generate a virtual source at a point that few
    neutron reach. A long simulation will then only be performed once, to create
    the upstream 'source' file. Further simulations are much faster if they start
    from this low flux position with the 'source' file.

    Possible file formats are:
    1-text column formatted with lines containing 11 values in the order:
          p x y z vx vy vz t sx sy sz stored into about 83 bytes/n.
    2-float or double binary files (with the 11 values 'p x y z vx vy vz t sx sy sz')
          stored into 44 and 88 bytes/n respectively for float/double.

    A Vitess file may be obtained from the 'Vitess_output' component or from a
    Vitess simulation (104 bytes per neutron) and read with Vitess_input.

    Example: Virtual_output(file="MySource.dat", bufsize = 100000)
      will generate a 9 Mo text file.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
file |  |  | 0
type |  |  | 0
bufsize |  |  | 10000

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
DEFS |  |  |
Vars |  |  |

## Links

- Source code for `Virtual_output.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]